package cn.pluss.platform.merchantRegistLog;

import java.util.List;
import java.util.Map;
import cn.pluss.platform.entity.MerchantRegistLog;

public interface MerchantRegistLogService {

    public MerchantRegistLog queryMerchantRegistLog(MerchantRegistLog merchantRegistLog);

    public List<MerchantRegistLog> queryMerchantRegistLogList(MerchantRegistLog merchantRegistLog);

    public void saveMerchantRegistLog(MerchantRegistLog merchantRegistLog);

    public void updateMerchantRegistLog(MerchantRegistLog merchantRegistLog);

    public void deleteMerchantRegistLog(MerchantRegistLog merchantRegistLog);

    public List<MerchantRegistLog> queryMerchantRegistLogPage(Map map);

    public Integer queryMerchantRegistLogPageCount(Map map);

    public void saveMerchantRegistLogBatch(List<MerchantRegistLog> merchantRegistLogList);
}

